classification
Title: Upgrade Travis CI config to Xenial from near-EoL Trusty and remove obsolete sudo: false key
Type: Stage: resolved
Components: Build Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: CAM-Gerlach, matrixise, methane, pablogsal, vstinner, xtreak, zach.ware
Priority: normal Keywords: patch

Created on 2019-03-15 19:43 by CAM-Gerlach, last changed 2019-03-19 09:11 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12356 merged CAM-Gerlach, 2019-03-15 19:54
PR 12404 merged methane, 2019-03-18 12:13
PR 12405 merged methane, 2019-03-18 12:15
Messages (14)
msg338022 - (view) Author: C.A.M. Gerlach (CAM-Gerlach) * Date: 2019-03-15 19:43
Not sure how to categorize this one, or if this should even be a bpo.

Currently, the .travis.yml config file still has a sudo: false key, which previously triggered the Container-based environment on Travis. However, that was removed in December 2018, and so the key is now obsolete. Furthermore, the builds are still running in the Trusty environment, which will be at the end of its 5-year development lifecycle in April 2019 (next month). Therefore, sudo: false should be removed, and the distribution should be upgraded to the modern dist: xenial.

If non-trivial errors result, the change will likely be well beyond my minimal expertise as a brand-new contributor, but I figured I'd nevertheless make the attempt in a PR if not, which others can take over/supersede if necessary.
msg338023 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-03-15 19:46
Hi @CAM, do you have a pointer about the deprecated/removed feature in Travis?

Thank you
msg338025 - (view) Author: C.A.M. Gerlach (CAM-Gerlach) * Date: 2019-03-15 20:01
Sure, thing, sorry—I realized I should have added one but apparently couldn't edit my post to include it.

[Here's](https://docs.travis-ci.com/user/reference/overview/#deprecated-virtualization-environments) a description of the removal of the obsolete sudo: false key in the Travis docs, and [here's](https://blog.ubuntu.com/2019/02/05/ubuntu-14-04-trusty-tahr) a blog post on the imminent EoL of [Trusty Tar](https://blog.ubuntu.com/2019/02/05/ubuntu-14-04-trusty-tahr).
msg338038 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-03-15 21:36
This changes the Ubuntu version in Travis so I would like this decision to be reviewed by core devs who work more closely with buildbot and configs.
msg338041 - (view) Author: C.A.M. Gerlach (CAM-Gerlach) * Date: 2019-03-15 22:29
Yes, absolutely.

While were at it, should we also bump the OpenSSL version up to the latest 1.1.1b, which is the current LTS branch (with 1.0.2 EoL in Dec. 2019 and 1.1.0 EoL in a few months, in September)?
msg338047 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-03-16 00:56
There is an open issue with PR for openssl upgrade . Please see https://bugs.python.org/issue34631
msg338048 - (view) Author: C.A.M. Gerlach (CAM-Gerlach) * Date: 2019-03-16 01:02
Ah yes, I actually saw that before opening this issue; not sure why I completely forgot about it. Sorry about that and thanks for the reminder.
msg338194 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-03-18 10:45
New changeset 74ae50e53e59bbe39d6287b902757f0cd01327dc by Inada Naoki (CAM Gerlach) in branch 'master':
bpo-36307: Travis: upgrade to Xenial environment (GH-12356)
https://github.com/python/cpython/commit/74ae50e53e59bbe39d6287b902757f0cd01327dc
msg338201 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-18 11:46
INADA-san: I would prefer to use the same OS to test Python 2.7 and 3.7. Are you ok to backport this change? (if it didn't break the CI yet? :-))
msg338203 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-03-18 11:50
Ah, miss-islington is still broken...

I'll create backport PR manually if travis succeed to build master branch.
https://travis-ci.org/python/cpython/builds/507808242
msg338206 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-18 11:54
> Ah, miss-islington is still broken...

Right: https://github.com/python/miss-islington/issues/219
msg338218 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-03-18 13:25
https://travis-ci.org/python/cpython/jobs/507821992
"pyenv: python3.7: command not found"

Hmm, `dist: xenial; group beta` seems not stable yet.
I'll try removing "group: beta" for stable build.
msg338328 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-03-19 08:31
New changeset 09e5877cb1191fe09af7a2139780d377bdf19092 by Inada Naoki in branch '3.7':
bpo-36307: Travis: upgrade to Xenial environment (GH-12356)
https://github.com/python/cpython/commit/09e5877cb1191fe09af7a2139780d377bdf19092
msg338334 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-03-19 09:08
New changeset 0f68d4af3b9410821ee67cbb5a445b341d5c82e4 by Inada Naoki in branch '2.7':
bpo-36307: Travis: upgrade to Xenial environment (GH-12356)
https://github.com/python/cpython/commit/0f68d4af3b9410821ee67cbb5a445b341d5c82e4
History
Date User Action Args
2019-03-19 09:11:40methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-03-19 09:08:40methanesetmessages: + msg338334
2019-03-19 08:31:06methanesetmessages: + msg338328
2019-03-18 13:25:09methanesetmessages: + msg338218
2019-03-18 12:15:43methanesetpull_requests: + pull_request12360
2019-03-18 12:13:04methanesetpull_requests: + pull_request12359
2019-03-18 11:54:12vstinnersetmessages: + msg338206
2019-03-18 11:50:35methanesetmessages: + msg338203
2019-03-18 11:46:22vstinnersetmessages: + msg338201
2019-03-18 10:45:06methanesetnosy: + methane
messages: + msg338194
2019-03-16 01:02:50CAM-Gerlachsetmessages: + msg338048
2019-03-16 00:56:18xtreaksetmessages: + msg338047
2019-03-15 22:29:03CAM-Gerlachsetmessages: + msg338041
components: + Build
2019-03-15 21:36:09xtreaksetnosy: + pablogsal, xtreak, vstinner, zach.ware
messages: + msg338038
2019-03-15 20:01:08CAM-Gerlachsetmessages: + msg338025
2019-03-15 19:54:42CAM-Gerlachsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12323
2019-03-15 19:46:41matrixisesetnosy: + matrixise
messages: + msg338023
2019-03-15 19:43:52CAM-Gerlachcreate